curl --request GET \
--url https://api.skyvern.com/v1/runs/{run_id}{
"run_id": "tsk_123",
"status": "created",
"created_at": "2025-01-01T00:00:00Z",
"modified_at": "2025-01-01T00:05:00Z",
"run_type": "task_v1",
"output": {},
"downloaded_files": [
{
"url": "<string>",
"checksum": "<string>",
"filename": "<string>",
"modified_at": "2023-11-07T05:31:56Z"
}
],
"recording_url": "<string>",
"screenshot_urls": [
"<string>"
],
"failure_reason": "<string>",
"queued_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z",
"app_url": "https://app.skyvern.com/tasks/tsk_123",
"browser_session_id": "pbs_123",
"browser_profile_id": "bp_123",
"max_screenshot_scrolls": 123,
"script_run": {
"ai_fallback_triggered": false
},
"errors": [
{}
],
"step_count": 123,
"run_request": {
"prompt": "Find the top 3 posts on Hacker News.",
"url": "https://www.hackernews.com",
"engine": "skyvern-2.0",
"title": "The title of my first skyvern task",
"proxy_location": "RESIDENTIAL",
"data_extraction_schema": {},
"error_code_mapping": {
"login_failed": "The login credentials are incorrect or the account is locked"
},
"max_steps": 10,
"webhook_url": "https://my-site.com/webhook",
"totp_identifier": "john.doe@example.com",
"totp_url": "https://my-totp-service.com/totp",
"browser_session_id": "pbs_123",
"model": {},
"extra_http_headers": {},
"publish_workflow": false,
"include_action_history_in_verification": false,
"max_screenshot_scrolls": 123,
"browser_address": "http://127.0.0.1:9222",
"run_with": "agent"
}
}Get run information (task run, workflow run)
curl --request GET \
--url https://api.skyvern.com/v1/runs/{run_id}{
"run_id": "tsk_123",
"status": "created",
"created_at": "2025-01-01T00:00:00Z",
"modified_at": "2025-01-01T00:05:00Z",
"run_type": "task_v1",
"output": {},
"downloaded_files": [
{
"url": "<string>",
"checksum": "<string>",
"filename": "<string>",
"modified_at": "2023-11-07T05:31:56Z"
}
],
"recording_url": "<string>",
"screenshot_urls": [
"<string>"
],
"failure_reason": "<string>",
"queued_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z",
"app_url": "https://app.skyvern.com/tasks/tsk_123",
"browser_session_id": "pbs_123",
"browser_profile_id": "bp_123",
"max_screenshot_scrolls": 123,
"script_run": {
"ai_fallback_triggered": false
},
"errors": [
{}
],
"step_count": 123,
"run_request": {
"prompt": "Find the top 3 posts on Hacker News.",
"url": "https://www.hackernews.com",
"engine": "skyvern-2.0",
"title": "The title of my first skyvern task",
"proxy_location": "RESIDENTIAL",
"data_extraction_schema": {},
"error_code_mapping": {
"login_failed": "The login credentials are incorrect or the account is locked"
},
"max_steps": 10,
"webhook_url": "https://my-site.com/webhook",
"totp_identifier": "john.doe@example.com",
"totp_url": "https://my-totp-service.com/totp",
"browser_session_id": "pbs_123",
"model": {},
"extra_http_headers": {},
"publish_workflow": false,
"include_action_history_in_verification": false,
"max_screenshot_scrolls": 123,
"browser_address": "http://127.0.0.1:9222",
"run_with": "agent"
}
}Skyvern API key for authentication. API key can be found at https://app.skyvern.com/settings.
The id of the task run or the workflow run.
"tsk_123"
Successfully got run
Unique identifier for this run. Run ID starts with tsk_ for task runs and wr_ for workflow runs.
"tsk_123"
Current status of the run
created, queued, running, timed_out, failed, terminated, completed, canceled "created"
Timestamp when this run was created
"2025-01-01T00:00:00Z"
Timestamp when this run was last modified
"2025-01-01T00:05:00Z"
Types of a task run - task_v1, task_v2, openai_cua, anthropic_cua, ui_tars
task_v1, task_v2, openai_cua, anthropic_cua, ui_tars Output data from the run, if any. Format/schema depends on the data extracted by the run.
List of files downloaded during the run
Show child attributes
URL to the recording of the run
List of last n screenshot URLs in reverse chronological order - the first one the list is the latest screenshot.
Reason for failure if the run failed or terminated
Timestamp when this run was queued
Timestamp when this run started execution
Timestamp when this run finished
URL to the application UI where the run can be viewed
"https://app.skyvern.com/tasks/tsk_123"
ID of the Skyvern persistent browser session used for this run
"pbs_123"
ID of the browser profile used for this run
"bp_123"
The maximum number of scrolls for the post action screenshot. When it's None or 0, it takes the current viewpoint screenshot
The script run result
Show child attributes
The errors for the run
Total number of steps executed in this run
The original request parameters used to start this task run
Show child attributes